summaryrefslogtreecommitdiffstats
path: root/DNA/linux/TODO
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-09-12 14:32:18 +0200
committermakefu <github@syntax-fehler.de>2011-09-12 14:32:18 +0200
commit9f70f9b5b462aa3e150b9708f695edfaf716edd4 (patch)
tree5cbebe6cbc0ada2c988d7f14d0bbbc52a68b37c1 /DNA/linux/TODO
parent568fbd7fa5541182bbbc33560863ec9c3ff01d48 (diff)
parenta07326f6c57a7e8f49b9bef96ded427275a16e2e (diff)
Merge branch 'master' into punani_files
Diffstat (limited to 'DNA/linux/TODO')
-rw-r--r--DNA/linux/TODO16
1 files changed, 16 insertions, 0 deletions
diff --git a/DNA/linux/TODO b/DNA/linux/TODO
new file mode 100644
index 00000000..fd0d927f
--- /dev/null
+++ b/DNA/linux/TODO
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+## find all syscalls that have to be patched
+h="/lib/modules/$(uname -r)/build/include/linux/syscalls.h"
+sed -n 's/.*sys_\([^)]\+\)(.*/\1/p' $h | while read f; do
+ x="`( man 3p $f || man 3 $f || man $f ) 2>/dev/null`"
+ echo "`
+ echo "$x" | grep -q ENAMETOOLONG && echo 1 || echo 0``
+ echo "$x" | grep -q EACCES && echo 1 || echo 0``
+ ` $f"
+done
+
+# disable interrupts before modifying the sys_call_table
+# see: sti tli
+# disable other CPUs: suspend-code [the suspend code does all this, too]
+# TLB flushen: irgendwo bei der architektur